GNU bug report logs - #20726
Bug report: Preview-latex confused by todonotes?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Dominique Devriese <dominique.devriese@HIDDEN>; merged with #20749; dated Wed, 3 Jun 2015 15:38:02 UTC; Maintainer for auctex is bug-auctex@HIDDEN.
Merged 20726 20749. Request was from Tassilo Horn <tsdh@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20726 <at> debbugs.gnu.org:


Received: (at 20726) by debbugs.gnu.org; 8 Jun 2015 15:43:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 11:43:12 2015
Received: from localhost ([127.0.0.1]:45372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1zCi-00079S-Mg
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:43:12 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:54758)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1Z1zCg-00079L-Va
 for 20726 <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:43:11 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 6D40620945
 for <20726 <at> debbugs.gnu.org>; Mon,  8 Jun 2015 11:43:10 -0400 (EDT)
Received: from frontend1 ([10.202.2.160])
 by compute6.internal (MEProxy); Mon, 08 Jun 2015 11:43:10 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=ErtUndBpCAyhFsjRssc5upsqsyo=; b=rK+a0
 /jksJyzOvSzRgGtmxaLRedMTgfAcx9oJLjhoZgCzH2RsEzoGAmK3P4bql4iZmZ7e
 cmMH+CWOFSwFaFbuKGe8eu8bo1nm5mE7lcD0kFBvzJCQ2bvvbt5NQuRq/VuMOmwc
 kJSMdfScsCxiWmKBGBLnYnqNVdJ0rfaiV1Amzk=
X-Sasl-enc: VYCbtMAmzHx/FvBJwGoDGdD5hk6h3vRF99LW27BwqPxo 1433778189
Received: from thinkpad-t440p (unknown [2.162.161.54])
 by mail.messagingengine.com (Postfix) with ESMTPA id B2ECFC00023;
 Mon,  8 Jun 2015 11:43:09 -0400 (EDT)
From: Tassilo Horn <tsdh@HIDDEN>
To: Dominique Devriese <dominique.devriese@HIDDEN>
Subject: Re: bug#20726: Bug report: Preview-latex confused by todonotes?
References: <CAML5wvua=mP0tO_PqTkbqgpVYcvKyPAwRme3=Zt_76KN9yBYcQ@HIDDEN>
Date: Mon, 08 Jun 2015 17:43:07 +0200
In-Reply-To: <CAML5wvua=mP0tO_PqTkbqgpVYcvKyPAwRme3=Zt_76KN9yBYcQ@HIDDEN>
 (Dominique Devriese's message of "Wed, 3 Jun 2015 15:34:07 +0200")
Message-ID: <87lhfu6wac.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 20726
Cc: 20726 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Dominique Devriese <dominique.devriese@HIDDEN> writes:

Hi Dominique,

> I'd like to report a bug about preview-latex.  It seems to be confused
> by documents that use the todonotes package.

Yes, I can reproduce that.  The todonotes package uses TikZ, and preview
has a problem with that.  See bug#20749.

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#20726; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jun 2015 15:55:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 03 11:55:09 2015
Received: from localhost ([127.0.0.1]:39223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0B0U-0006JP-Ic
	for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 11:55:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38551)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z09CX-0001yM-5n
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 09:59:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z09CP-0000gz-SC
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 09:59:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52894)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z09CP-0000gu-QC
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 09:59:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52047)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z09CN-0001qL-Fo
 for bug-auctex@HIDDEN; Wed, 03 Jun 2015 09:59:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z09CL-0000fM-5N
 for bug-auctex@HIDDEN; Wed, 03 Jun 2015 09:59:15 -0400
Received: from mail-ig0-x236.google.com ([2607:f8b0:4001:c05::236]:35020)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z09CK-0000fD-Vh
 for bug-auctex@HIDDEN; Wed, 03 Jun 2015 09:59:13 -0400
Received: by igbyr2 with SMTP id yr2so113327251igb.0
 for <bug-auctex@HIDDEN>; Wed, 03 Jun 2015 06:59:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :content-type; bh=+RjoyDLkdwcjPZU6pUQM9zMU/7mDxzVOk6NyNKwgsiw=;
 b=h7sQ+oEXThaIKeGOdBOvQ/8FwF8oKz31iS9W5jnTMsdPtJOuF6Ke53ndd1R/Ix18AR
 IOave2sH6a6bcT3Dx+DV2B/yiZ/APmfQj7FGlshOFRMYI+daJU6eSgTbmc8bL4aKvS2N
 OlPXUmx3o2PSk2BjgLX+tjOtzR8Ko9gjYkiL72TnZsyi92tvGktlYYQo+AZYCFbyD+Hj
 KOQkA1MIspPCeKdhuZvGRxReuEeK5JYfpWjdI3gJmmSIybU6sreutOiXjxyJrvbz0O/T
 c8mEUo/+AJdAVoQLzvg7sAUWnXWWg2iC4JUOEh0EDspXAI3DEQucdXdS86ogA3IyMBaE
 agRg==
X-Received: by 10.50.136.197 with SMTP id qc5mr14873727igb.6.1433339952193;
 Wed, 03 Jun 2015 06:59:12 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.50.232.134 with HTTP; Wed, 3 Jun 2015 06:58:51 -0700 (PDT)
In-Reply-To: <CAML5wvua=mP0tO_PqTkbqgpVYcvKyPAwRme3=Zt_76KN9yBYcQ@HIDDEN>
References: <CAML5wvua=mP0tO_PqTkbqgpVYcvKyPAwRme3=Zt_76KN9yBYcQ@HIDDEN>
From: Dominique Devriese <dominique.devriese@HIDDEN>
Date: Wed, 3 Jun 2015 15:58:51 +0200
Message-ID: <CAML5wvsD5orCX4YNm+LcKgd37+eaZ6+jsUkwOPTJa52Y9mZhDQ@HIDDEN>
Subject: Re: Bug report: Preview-latex confused by todonotes?
To: bug-auctex@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 03 Jun 2015 11:55:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Also, below is the output generated by preview-report-bug.

Regards,
Dominique


Emacs  : GNU Emacs 24.4.1 (x86_64-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2015-03-07 on trouble, modified by Debian
Package: 11.88

Run buffer contents:

Running `Preview-LaTeX' on `_region_' with ``pdflatex
-file-line-error  --synctex=1
"\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex,counters}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}"
"\input" _region_.tex''
This is pdfTeX, Version 3.14159265-2.6-1.40.15 (TeX Live
2015/dev/Debian) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
LaTeX2e <2014/05/01>
Babel <3.9l> and hyphenation patterns for 27 languages loaded.

No auxiliary output files.

(./_region_.tex  !name(region.tex)
(/usr/share/texlive/texmf-dist/tex/latex/base/article.cls
Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo))
(/usr/share/texlive/texmf-dist/tex/latex/todonotes/todonotes.sty
(/usr/share/texlive/texmf-dist/tex/latex/base/ifthen.sty)
(/usr/share/texlive/texmf-dist/tex/latex/xkeyval/xkeyval.sty
(/usr/share/texlive/texmf-dist/tex/generic/xkeyval/xkeyval.tex
(/usr/share/texlive/texmf-dist/tex/generic/xkeyval/xkvutils.tex
(/usr/share/texlive/texmf-dist/tex/generic/xkeyval/keyval.tex))))
(/usr/share/texlive/texmf-dist/tex/latex/xcolor/xcolor.sty
(/usr/share/texlive/texmf-dist/tex/latex/latexconfig/color.cfg)
(/usr/share/texlive/texmf-dist/tex/latex/pdftex-def/pdftex.def
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/infwarerr.sty)
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/ltxcmds.sty)))
(/usr/share/texlive/texmf-dist/tex/latex/pgf/frontendlayer/tikz.sty
(/usr/share/texlive/texmf-dist/tex/latex/pgf/basiclayer/pgf.sty
(/usr/share/texlive/texmf-dist/tex/latex/pgf/utilities/pgfrcs.sty
(/usr/share/texlive/texmf-dist/tex/generic/pgf/utilities/pgfutil-common.tex
(/usr/share/texlive/texmf-dist/tex/generic/pgf/utilities/pgfutil-common-lists.t
ex)) (/usr/share/texlive/texmf-dist/tex/generic/pgf/utilities/pgfutil-latex.def
(/usr/share/texlive/texmf-dist/tex/latex/ms/everyshi.sty))
(/usr/share/texlive/texmf-dist/tex/generic/pgf/utilities/pgfrcs.code.tex))
(/usr/share/texlive/texmf-dist/tex/latex/pgf/basiclayer/pgfcore.sty
(/usr/share/texlive/texmf-dist/tex/latex/graphics/graphicx.sty
(/usr/share/texlive/texmf-dist/tex/latex/graphics/graphics.sty
(/usr/share/texlive/texmf-dist/tex/latex/graphics/trig.sty)
(/usr/share/texlive/texmf-dist/tex/latex/latexconfig/graphics.cfg)))
(/usr/share/texlive/texmf-dist/tex/latex/pgf/systemlayer/pgfsys.sty
(/usr/share/texliv...

[...]

    ...s.code.tex)))
(/usr/share/texlive/texmf-dist/tex/generic/pgf/frontendlayer/tikz/libraries/tik
zlibrarypositioning.code.tex)
(/usr/share/texlive/texmf-dist/tex/latex/tools/calc.sty)) (./_region_.aux)
(/usr/share/texmf/tex/latex/preview/preview.sty
(/usr/share/texmf/tex/latex/preview/prtightpage.def)
(/usr/share/texmf/tex/latex/preview/prauctex.def
No auxiliary output files.


(/usr/share/texmf/tex/latex/preview/prauctex.cfg))
(/usr/share/texmf/tex/latex/preview/prcounters.def)
(/usr/share/texmf/tex/latex/preview/prfootnotes.def)
Preview: Fontsize 10pt
Preview: PDFoutput 1
) (/usr/share/texlive/texmf-dist/tex/context/base/supp-pdf.mkii
[Loading MPS to PDF converter (version 2006.09.02).]
) ABD: EveryShipout initializing macros
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/pdftexcmds.sty
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/ifluatex.sty)
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/ifpdf.sty))
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/epstopdf-base.sty
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/grfext.sty
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/kvdefinekeys.sty))
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/kvoptions.sty
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/kvsetkeys.sty
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/etexcmds.sty)))
(/usr/share/texlive/texmf-dist/tex/latex/latexconfig/epstopdf-sys.cfg))
 !name(region.tex) !offset(-3)  [1{/var/lib/texmf/fonts/map/pdftex/updmap/pdfte
x.map}]
Preview: Counters {page}{2}:
./_region_.tex:74: Preview: Snippet 1 started.
<-><->

l.74 $
      123$.
Preview: Tightpage -32891 -32891 32891 32891
./_region_.tex:74: Preview: Snippet 1 ended.(422343+0x983043).
<-><->

l.74 $123$
          .
[1] [2] )
(see the transcript file for additional information)</usr/share/texlive/texmf-d
ist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
Output written on _region_.pdf (3 pages, 17769 bytes).
SyncTeX written on _region_.synctex.gz.
Transcript written on _region_.log.

TeX Output exited as expected with code 1 at Wed Jun  3 15:56:50
Running `Preview-PDF2DSC' with ``pdf2dsc _region_.pdf
_region_.prv/tmp903lDk/preview.dsc''

Preview-PDF2DSC finished at Wed Jun  3 15:56:50
Running `Preview-Ghostscript' with ``/usr/bin/gs
-dOutputFile\=\(_region_.prv/tmp903lDk/pr1-\%d.png\) -q -dDELAYSAFER
-dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4
-dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r108.783x108.765''

Preview-Ghostscript finished at Wed Jun  3 15:56:51

current state:
==============
(setq
 AUCTeX-version "2014-11-01"
 LaTeX-command-style '(("lhs" "lhslatex") ("" "%(PDF)%(latex)
%(file-line-error) %(extraopts) %S%(PDFout)"))
 image-types '(svg imagemagick png gif tiff jpeg xpm xbm pbm postscript)
 preview-image-type 'png
 preview-image-creators '((dvipng (open preview-gs-open
preview-dvipng-process-setup) (place preview-gs-place)
                           (close preview-dvipng-close))
                          (png (open preview-gs-open) (place
preview-gs-place) (close preview-gs-close))
                          (jpeg (open preview-gs-open) (place
preview-gs-place) (close preview-gs-close))
                          (pnm (open preview-gs-open) (place
preview-gs-place) (close preview-gs-close))
                          (tiff (open preview-gs-open) (place
preview-gs-place) (close preview-gs-close)))
 preview-dvipng-image-type 'png
 preview-dvipng-command "dvipng -picky -noghostscript %d -o
\"%m/prev%%03d.png\""
 preview-pdf2dsc-command "pdf2dsc %s.pdf %m/preview.dsc"
 preview-gs-command "/usr/bin/gs"
 preview-gs-options '("-q" "-dDELAYSAFER" "-dNOPAUSE" "-DNOPLATFONTS"
"-dPrinted" "-dTextAlphaBits=4"
                      "-dGraphicsAlphaBits=4")
 preview-gs-image-type-alist '((png png "-sDEVICE=png16m") (dvipng png
"-sDEVICE=png16m")
                               (jpeg jpeg "-sDEVICE=jpeg") (pnm pbm
"-sDEVICE=pnmraw")
                               (tiff tiff "-sDEVICE=tiff12nc"))
 preview-fast-conversion t
 preview-prefer-TeX-bb nil
 preview-dvips-command "dvips -Pwww -i -E %d -o %m/preview.000"
 preview-fast-dvips-command "dvips -Pwww %d -o %m/preview.ps"
 preview-scale-function 'preview-scale-from-face
 preview-LaTeX-command '("%`%l \"\\nonstopmode\\nofiles\\PassOptionsToPackage{"
                         ("," . preview-required-option-list)

"}{preview}\\AtBeginDocument{\\ifx\\ifPreview\\undefined"
preview-default-preamble
                         "\\fi}\"%' %t")
 preview-required-option-list '("active" "tightpage" "auctex"
(preview-preserve-counters "counters"))
 preview-preserve-counters t
 preview-default-option-list '("displaymath" "floats" "graphics"
"textmath" "sections" "footnotes")
 preview-default-preamble '("\\RequirePackage[" ("," .
preview-default-option-list) "]{preview}[2004/11/05]")
 preview-LaTeX-command-replacements nil
 preview-dump-replacements '(preview-LaTeX-command-replacements
                             ("\\`\\([^ ]+\\)\\(\\( +-\\([^
\\\\\"]\\|\\\\\\.\\|\"[^\"]*\"\\)*\\)*\\)\\(.*\\)\\'" "\\1 -ini
-interaction=nonstopmode \"&\\1\" " preview-format-name ".ini \\5")
                             )
 preview-undump-replacements '(("\\`\\([^ ]+\\) .*? \"\\\\input\" \\(.*\\)\\'"
                                "\\1 -interaction=nonstopmode \"&"
preview-format-name "\" \\2")
                               )
 preview-auto-cache-preamble t
 preview-TeX-style-dir nil
 )

Output from running `/usr/bin/gs -h':
GPL Ghostscript 9.06 (2012-08-08)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
Usage: gs [switches] [file1.ps file2.ps ...]
Most frequently used switches: (you can use # in place of =)
 -dNOPAUSE           no pause after page   | -q       `quiet', fewer messages
 -g<width>x<height>  page size in pixels   | -r<res>  pixels/inch resolution
 -sDEVICE=<devname>  select device         | -dBATCH  exit after last file
 -sOutputFile=<file> select output file: - for stdout, |command for pipe,
                                         embed %d or %ld for page #
Input formats: PostScript PostScriptLevel1 PostScriptLevel2 PostScriptLevel3 PDF
Default output device: x11alpha
Available devices:
   alc1900 alc2000 alc4000 alc4100 alc8500 alc8600 alc9100 ap3250 appledmp
   atx23 atx24 atx38 bbox bit bitcmyk bitrgb bitrgbtags bj10e bj10v bj10vh
   bj200 bjc600 bjc800 bjc880j bjccmyk bjccolor bjcgray bjcmono bmp16 bmp16m
   bmp256 bmp32b bmpgray bmpmono bmpsep1 bmpsep8 ccr cdeskjet cdj1600 cdj500
   cdj550 cdj670 cdj850 cdj880 cdj890 cdj970 cdjcolor cdjmono cdnj500 cfax
   chp2200 cif cljet5 cljet5c cljet5pr coslw2p coslwxl cp50 cups declj250
   deskjet devicen dfaxhigh dfaxlow display dj505j djet500 djet500c dl2100
   dnj650c epl2050 epl2050p epl2120 epl2500 epl2750 epl5800 epl5900 epl6100
   epl6200 eplcolor eplmono eps9high eps9mid epson epsonc epswrite escp
   escpage faxg3 faxg32d faxg4 fmlbp fmpr fs600 gdi hl1240 hl1250 hl7x0
   hpdj1120c hpdj310 hpdj320 hpdj340 hpdj400 hpdj500 hpdj500c hpdj510
   hpdj520 hpdj540 hpdj550c hpdj560c hpdj600 hpdj660c hpdj670c hpdj680c
   hpdj690c hpdj850c hpdj855c hpdj870c hpdj890c hpdjplus hpdjportable ibmpro
   ijs imagen inferno inkcov iwhi iwlo iwlq jetp3852 jj100 jpeg jpegcmyk
   jpeggray la50 la70 la75 la75plus laserjet lbp310 lbp320 lbp8 lex2050
   lex3200 lex5700 lex7000 lips2p lips3 lips4 lips4v lj250 lj3100sw lj4dith
   lj4dithp lj5gray lj5mono ljet2p ljet3 ljet3d ljet4 ljet4d ljet4pjl
   ljetplus ln03 lp1800 lp1900 lp2000 lp2200 lp2400 lp2500 lp2563 lp3000c
   lp7500 lp7700 lp7900 lp8000 lp8000c lp8100 lp8200c lp8300c lp8300f
   lp8400f lp8500c lp8600 lp8600f lp8700 lp8800c lp8900 lp9000b lp9000c
   lp9100 lp9200b lp9200c lp9300 lp9400 lp9500c lp9600 lp9600s lp9800c
   lps4500 lps6500 lq850 lxm3200 lxm5700m m8510 mag16 mag256 md1xMono md2k
   md50Eco md50Mono md5k mgr4 mgr8 mgrgray2 mgrgray4 mgrgray8 mgrmono miff24
   mj500c mj6000c mj700v2c mj8000c ml600 necp6 npdl nullpage oce9050 oki182
   oki4w okiibm oprp opvp paintjet pam pamcmyk32 pamcmyk4 pbm pbmraw pcl3
   pcx16 pcx24b pcx256 pcx256 pcx2up pcxcmyk pcxgray pcxmono pdfwrite
   pdfwrite pgm pgmraw pgnm pgnmraw photoex picty180 pj pjetxl pjxl pjxl300
   pkm pkmraw pksm pksmraw plan plan9bm planc plang plank planm png16 png16m
   png256 png48 pngalpha pnggray pngmono pnm pnmraw ppm ppmraw pr1000
   pr1000_4 pr150 pr201 ps2write psdcmyk psdrgb psgray psmono psrgb pswrite
   pxlcolor pxlmono r4081 rinkj rpdl samsunggdi sgirgb sj48 spotcmyk st800
   stcolor sunhmono t4693d2 t4693d4 t4693d8 tek4696 tiff12nc tiff24nc
   tiff32nc tiff48nc tiff64nc tiffcrle tiffg3 tiffg32d tiffg4 tiffgray
   tifflzw tiffpack tiffscaled tiffsep txtwrite uniprint x11 x11alpha
   x11cmyk x11cmyk2 x11cmyk4 x11cmyk8 x11gray2 x11gray4 x11mono xcf xes
Search path:
   /usr/share/ghostscript/9.06/Resource/Init :
   /usr/share/ghostscript/9.06/lib :
   /usr/share/ghostscript/9.06/Resource/Font :
   /usr/share/ghostscript/fonts : /var/lib/ghostscript/fonts :
   /usr/share/cups/fonts : /usr/share/ghostscript/fonts :
   /usr/local/lib/ghostscript/fonts : /usr/share/fonts
For more information, see /usr/share/doc/ghostscript/Use.htm.
On debian system you may need to install ghostscript-doc package.
Please report bugs to bugs.ghostscript.com.



2015-06-03 15:34 GMT+02:00 Dominique Devriese <dominique.devriese@HIDDEN>:
> Dear,
>
> I'd like to report a bug about preview-latex.  It seems to be confused
> by documents that use the todonotes package.  I've noticed this in a
> large latex document, but I've managed to reduce it to a minimal
> example:  a long document that loads the todonotes package but doesn't
> actually use it. The document contains 8 lorem ipsum paragraphs
> followed by an inline math expression.  If you load it in auctex and
> then use preview-latex, it does not show the contents of the math
> expression, but instead shows a page that seemingly contains the
> loremipsum paragraphs. This is as far as I got with reducing the
> problem.  My latex skills are too limited to debug further, I'm
> affraid.  Note: I'm including the minimal example file inline because
> I'm not sure this mailing list allows attachments.
>
> I would be glad if someone could find the time to take a look at it
> and fix it or suggest a workaround.
>
> Thanks
> Dominique
>
> P.S.: Please CC me as I'm not subscribed to the list.
>
> Minimal latex file showing the problem included inline from here on:
>
> \documentclass{article}
>
> \usepackage{todonotes}
>
> \begin{document}
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
> eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
> minim veniam, quis nostrud exercitation ullamco laboris nisi ut
> aliquip ex ea commodo consequat. Duis aute irure dolor in
> reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
> pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
> culpa qui officia deserunt mollit anim id est laborum.
>
> $123$.
>
> \end{document}




Information forwarded to bug-auctex@HIDDEN:
bug#20726; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jun 2015 15:37:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 03 11:37:12 2015
Received: from localhost ([127.0.0.1]:39190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0Aj9-0005r7-Bl
	for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 11:37:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54931)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z08ob-0001G4-S4
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 09:34:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z08oV-00026A-BQ
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 09:34:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:45491)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z08oV-000261-9C
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2015 09:34:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40122)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z08oQ-0003qt-QI
 for bug-auctex@HIDDEN; Wed, 03 Jun 2015 09:34:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z08oP-00021m-Cm
 for bug-auctex@HIDDEN; Wed, 03 Jun 2015 09:34:30 -0400
Received: from mail-ie0-x230.google.com ([2607:f8b0:4001:c03::230]:32994)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dominique.devriese@HIDDEN>) id 1Z08oP-00021R-6J
 for bug-auctex@HIDDEN; Wed, 03 Jun 2015 09:34:29 -0400
Received: by iebgx4 with SMTP id gx4so13112686ieb.0
 for <bug-auctex@HIDDEN>; Wed, 03 Jun 2015 06:34:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=0KpRnAWydjsYcZBcOnbkr3yvkEbab3Njlhyw1LVbLoE=;
 b=paf3h2np/+Xh8zaUbkIAmxvHB3x9/MeOMCW9jz8MhMf7s8fuPnUnH0tfsjIk3VLj8e
 hoxFffRskQp1Z7IIhagecoae4o8uJsVKBgr+DSdFAF+jJ1G/H1nxwxOzsfTun9d0CYiB
 g5MC8qFnCAyRyXk8i+SlKEP7Ww/vLCYeoc9cJSU5+S+6zMjquE4R4CUwTgafMR16YQ4a
 3l4UyDAJBwTY/zWIs78REeS/dtMGCE9S/Tjhr2H3bBEljfqc45wCOucofirJxrCg+Qbi
 By8imYbjM2un3izeKiy1pE56IkAcKQ3iHRbC6VNtGvOKVha7hB/GPcmOwXOABdI76Ipn
 dtpQ==
X-Received: by 10.50.138.70 with SMTP id qo6mr26672255igb.15.1433338468305;
 Wed, 03 Jun 2015 06:34:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.50.232.134 with HTTP; Wed, 3 Jun 2015 06:34:07 -0700 (PDT)
From: Dominique Devriese <dominique.devriese@HIDDEN>
Date: Wed, 3 Jun 2015 15:34:07 +0200
Message-ID: <CAML5wvua=mP0tO_PqTkbqgpVYcvKyPAwRme3=Zt_76KN9yBYcQ@HIDDEN>
Subject: Bug report: Preview-latex confused by todonotes?
To: bug-auctex@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 03 Jun 2015 11:37:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Dear,

I'd like to report a bug about preview-latex.  It seems to be confused
by documents that use the todonotes package.  I've noticed this in a
large latex document, but I've managed to reduce it to a minimal
example:  a long document that loads the todonotes package but doesn't
actually use it. The document contains 8 lorem ipsum paragraphs
followed by an inline math expression.  If you load it in auctex and
then use preview-latex, it does not show the contents of the math
expression, but instead shows a page that seemingly contains the
loremipsum paragraphs. This is as far as I got with reducing the
problem.  My latex skills are too limited to debug further, I'm
affraid.  Note: I'm including the minimal example file inline because
I'm not sure this mailing list allows attachments.

I would be glad if someone could find the time to take a look at it
and fix it or suggest a workaround.

Thanks
Dominique

P.S.: Please CC me as I'm not subscribed to the list.

Minimal latex file showing the problem included inline from here on:

\documentclass{article}

\usepackage{todonotes}

\begin{document}

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum.

$123$.

\end{document}




Acknowledgement sent to Dominique Devriese <dominique.devriese@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#20726; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Jun 2015 16:00:06 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.